"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultProviders = void 0;
const iti_react_core_1 = require("@interface-technologies/iti-react-core");
const react_1 = __importDefault(require("react"));
const ItiReactContext_1 = require("../ItiReactContext");
const itiReactContextData = {
    ...ItiReactContext_1.defaultItiReactContextData,
    renderLoadingIndicator: () => react_1.default.createElement("div", null, "LOADING INDICATOR"),
    addressInput: {
        allowCanadian: true,
    },
    configurablePager: {
        pageSizes: [10, 25, 50],
    },
};
const itiReactCoreContextData = {
    onError: (e) => {
        throw e;
    },
    useSimpleAutoRefreshQuery: {
        ...iti_react_core_1.defaultItiReactCoreContextData.useSimpleAutoRefreshQuery,
        isConnectionError: () => false,
    },
};
function DefaultProviders({ children }) {
    return (react_1.default.createElement(ItiReactContext_1.ItiReactContext.Provider, { value: itiReactContextData },
        react_1.default.createElement(iti_react_core_1.ItiReactCoreContext.Provider, { value: itiReactCoreContextData }, children)));
}
exports.DefaultProviders = DefaultProviders;
