"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddressDisplay = void 0;
const react_1 = __importDefault(require("react"));
const iti_react_core_1 = require("@interface-technologies/iti-react-core");
/** A component that displays an address. */
function AddressDisplay({ address, }) {
    if (!address)
        return null;
    return (react_1.default.createElement("div", { className: "address-display" },
        address.line1 && react_1.default.createElement("p", null, address.line1),
        address.line2 && react_1.default.createElement("p", null, address.line2),
        react_1.default.createElement("p", null, (0, iti_react_core_1.formatAddressLine3)(address)),
        (0, iti_react_core_1.isCanadianPostalCode)(address.postalCode) && react_1.default.createElement("p", null, "Canada")));
}
exports.AddressDisplay = AddressDisplay;
