"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.alert = void 0;
const react_1 = __importStar(require("react"));
const react_confirm_1 = require("react-confirm");
const lodash_1 = require("lodash");
const event_listener_1 = __importDefault(require("@use-it/event-listener"));
const dialog_1 = require("./dialog");
const defaultOptions = {
    title: 'Alert',
};
function AlertDialogPresentation({ show, confirmation, proceed, options, }) {
    const { title, modalClass } = (0, lodash_1.defaults)({ ...options }, defaultOptions);
    const closeRef = (0, react_1.useRef)(() => {
        /* no-op */
    });
    (0, event_listener_1.default)('keypress', (e) => {
        if (e.key === 'Enter') {
            closeRef.current();
        }
    });
    if (!show)
        return null;
    return (react_1.default.createElement(dialog_1.Dialog, { title: title, onClose: proceed, modalFooter: react_1.default.createElement("button", { className: "btn btn-primary", onClick: () => closeRef.current(), type: "button" }, "OK"), closeRef: closeRef, focusFirst: true, modalClass: modalClass }, confirmation));
}
// confirmable HOC pass props `show`, `dismiss`, `cancel` and `proceed` to your component
const ConfirmableDialog = (0, react_confirm_1.confirmable)(AlertDialogPresentation);
const _confirm = (0, react_confirm_1.createConfirmation)(ConfirmableDialog);
/**
 * Imperative-style alert function backed by `react-confirm`.
 *
 * @returns a Promise which resolves when the alert is closed.
 */
function alert(content, options) {
    return _confirm({ options, confirmation: content }).then(() => undefined); // ignore return value
}
exports.alert = alert;
