"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Breadcrumbs = void 0;
const react_1 = __importDefault(require("react"));
const react_router_dom_1 = require("react-router-dom");
function BreadcrumbItemComponent({ item, last, }) {
    return (react_1.default.createElement("li", { className: `breadcrumb-item ${last ? '' : 'active'}` }, last ? react_1.default.createElement("span", null, item.label) : react_1.default.createElement(react_router_dom_1.Link, { to: item.path }, item.label)));
}
/** A navigation breadcrumbs component. */
function Breadcrumbs({ items }) {
    if (!items || items.length <= 1) {
        return react_1.default.createElement("div", { className: "breadcrumbs" });
    }
    return (react_1.default.createElement("div", { className: "breadcrumbs" },
        react_1.default.createElement("ol", { className: "breadcrumb" }, items.map((item, i) => (react_1.default.createElement(BreadcrumbItemComponent, { item: item, last: i === items.length - 1, key: item.path }))))));
}
exports.Breadcrumbs = Breadcrumbs;
