"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClickToCopy = void 0;
const react_1 = __importStar(require("react"));
const copy_to_clipboard_1 = __importDefault(require("copy-to-clipboard"));
const free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
const react_fontawesome_1 = require("@fortawesome/react-fontawesome");
const react_2 = __importDefault(require("@tippyjs/react"));
/**
 * Renders an icon that you can click to copy some text.
 *
 * Relies on FontAwesome and `@tippyjs/react`.
 */
function ClickToCopy({ text, className }) {
    const [copied, setCopied] = (0, react_1.useState)(false);
    function copy() {
        (0, copy_to_clipboard_1.default)(text);
        setCopied(true);
    }
    (0, react_1.useEffect)(() => {
        if (!copied)
            return undefined;
        const timer = window.setTimeout(() => setCopied(false), 2000);
        return () => {
            window.clearTimeout(timer);
        };
    }, [copied]);
    const tooltip = copied ? 'Copied!' : 'Click to copy';
    const classes = ['click-to-copy'];
    if (className)
        classes.push(className);
    return (react_1.default.createElement(react_2.default, { content: tooltip, hideOnClick: false },
        react_1.default.createElement("div", { className: classes.join(' '), onClick: copy, onKeyDown: (e) => {
                if (e.key === 'Enter')
                    copy();
            }, role: "button", tabIndex: 0 },
            react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faCopy }))));
}
exports.ClickToCopy = ClickToCopy;
