"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormGroup = void 0;
const react_1 = __importStar(require("react"));
const iti_react_core_1 = require("@interface-technologies/iti-react-core");
const ItiReactContext_1 = require("../ItiReactContext");
/**
 * Renders a form input and corresponding label.
 *
 * The children of this component can either be a JSX element or a function that
 * maps `id` string to a JSX element (better for accessibility).
 */
function FormGroup({ label, className, loading, optional = false, ...props }) {
    const idRef = (0, react_1.useRef)((0, iti_react_core_1.getGuid)());
    const { renderLoadingIndicator } = (0, react_1.useContext)(ItiReactContext_1.ItiReactContext);
    let labelInner = label;
    if (optional) {
        labelInner = (react_1.default.createElement("span", null,
            label,
            " ",
            react_1.default.createElement("span", { className: "optional" }, "(optional)")));
    }
    let children;
    if (typeof props.children === 'function') {
        const renderProp = props.children;
        children = renderProp(idRef.current);
    }
    else {
        children = props.children;
    }
    return (react_1.default.createElement("div", { className: `form-group ${className || ''}`, "data-testid": props['data-testid'] },
        label && (react_1.default.createElement("label", { className: "form-label", htmlFor: idRef.current },
            labelInner,
            ' ',
            typeof loading !== 'undefined' &&
                loading &&
                renderLoadingIndicator())),
        children));
}
exports.FormGroup = FormGroup;
