"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinkButton = void 0;
const react_1 = __importDefault(require("react"));
/**
 * A quick way to create an element that looks like a link but behaves
 * like a button.
 */
function LinkButton({ children, onClick, ...passThroughProps }) {
    /* eslint-disable jsx-a11y/anchor-is-valid */
    return (react_1.default.createElement("a", { ...passThroughProps, href: "#", onClick: (e) => {
            e.preventDefault();
            if (onClick)
                onClick(e);
        }, role: "button" }, children));
}
exports.LinkButton = LinkButton;
