"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubmitButton = void 0;
/* eslint-disable react/button-has-type */
const react_1 = __importStar(require("react"));
const ItiReactContext_1 = require("../ItiReactContext");
const LinkButton_1 = require("./LinkButton");
/**
 * Submit button/link that displays a loading indicator and disables the onClick handler
 * when `submitting=true`.
 */
function SubmitButton({ element = 'button', submitting, children, onClick, onClickEnabled = true, enabled = true, className, type = 'submit', ...passThroughProps }) {
    const { renderLoadingIndicator } = (0, react_1.useContext)(ItiReactContext_1.ItiReactContext);
    if (submitting || !enabled) {
        onClickEnabled = false;
    }
    if (!onClickEnabled) {
        onClick = undefined;
    }
    if (typeof className === 'undefined') {
        className = '';
    }
    className += ' submit-button';
    if (element === 'button') {
        // if submitting or !onClickEnabled, set type to 'button' to prevent
        // buttons with type="submit" submitting the form
        const _type = onClickEnabled && !submitting ? type : 'button';
        return (react_1.default.createElement("button", { ...passThroughProps, className: className, onClick: onClick, type: _type, disabled: !enabled },
            submitting ? react_1.default.createElement("span", { className: "hidden-label" }, children) : children,
            submitting && (react_1.default.createElement("div", { className: "loading-icon-container" }, renderLoadingIndicator()))));
    }
    if (!enabled)
        className += ' disabled';
    return (react_1.default.createElement(LinkButton_1.LinkButton, { ...passThroughProps, className: className, onClick: onClick },
        children,
        submitting && react_1.default.createElement("span", null,
            " ",
            renderLoadingIndicator())));
}
exports.SubmitButton = SubmitButton;
