"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnitInputContainer = void 0;
const react_1 = __importDefault(require("react"));
/**
 * Displays an input along with a unit.
 *
 * ```
 * <UnitInputContainer unit="km">
 *     <ValidatedInput />
 * </UnitInputContainer>
 * ```
 */
function UnitInputContainer({ children, unit, className, }) {
    const classes = ['unit-input-container'];
    if (className)
        classes.push(className);
    return (react_1.default.createElement("div", { className: classes.join(' ') },
        children,
        react_1.default.createElement("div", { className: "unit" }, unit)));
}
exports.UnitInputContainer = UnitInputContainer;
