"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabContentLoading = void 0;
const react_1 = __importStar(require("react"));
const ItiReactContext_1 = require("../../ItiReactContext");
const delayMs = 200;
/**
 * The component that is displayed while a tab is loading in [[`TabManager`]].
 */
function TabContentLoading(props) {
    var _a;
    const [pastDelay, setPastDelay] = (0, react_1.useState)(false);
    (0, react_1.useEffect)(() => {
        const timer = window.setTimeout(() => {
            setPastDelay(true);
        }, delayMs);
        return () => {
            window.clearTimeout(timer);
        };
    }, []);
    const itiReactContextData = (0, react_1.useContext)(ItiReactContext_1.ItiReactContext);
    const renderLoadingIndicator = (_a = props.renderLoadingIndicator) !== null && _a !== void 0 ? _a : itiReactContextData.renderLoadingIndicator;
    // We're doing this weird thing with two LoadingIcons so that
    // - the height of the component doesn't change when pastDelay becomes true
    // - the real LoadingIcon's fadeIn animation doesn't play while it is invisible
    return (react_1.default.createElement("div", { className: "tab-content-loading" },
        react_1.default.createElement("div", { className: pastDelay ? 'd-none' : 'invisible' }, renderLoadingIndicator()),
        react_1.default.createElement("div", { className: pastDelay ? '' : 'd-none' }, renderLoadingIndicator())));
}
exports.TabContentLoading = TabContentLoading;
