"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_2 = require("@testing-library/react");
const react_router_dom_1 = require("react-router-dom");
const TabManager_1 = require("./TabManager");
it('mounts all tabs if mountAllTabs is true', () => {
    const tabs = [
        ['a', 'A'],
        ['b', 'B'],
    ];
    (0, react_2.render)(react_1.default.createElement(react_router_dom_1.MemoryRouter, null,
        react_1.default.createElement(TabManager_1.TabManager, { tabs: tabs, mountAllTabs: true }, tabs
            .map((t) => t[0])
            .map((tabName) => [tabName, true, react_1.default.createElement("div", null,
                "tab-content-",
                tabName)]))));
    expect(react_2.screen.getByText('tab-content-a')).toBeInTheDocument();
    expect(react_2.screen.getByText('tab-content-b')).toBeInTheDocument();
});
