"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_2 = require("@testing-library/react");
const usePopoverClickListener_1 = require("./usePopoverClickListener");
test('hasAncestor', () => {
    (0, react_2.render)(react_1.default.createElement("div", null,
        react_1.default.createElement("div", { id: "d1" },
            react_1.default.createElement("div", { id: "d11" },
                react_1.default.createElement("div", { id: "target", "data-testid": "target" })))));
    const target = react_2.screen.getByTestId('target');
    expect((0, usePopoverClickListener_1.hasAncestor)(target, 'div')).toBe(true);
    expect((0, usePopoverClickListener_1.hasAncestor)(target, '#d11')).toBe(true);
    expect((0, usePopoverClickListener_1.hasAncestor)(target, '#d1')).toBe(true);
    expect((0, usePopoverClickListener_1.hasAncestor)(target, '#target')).toBe(false);
    expect((0, usePopoverClickListener_1.hasAncestor)(target, '.foobar')).toBe(false);
});
