"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_2 = require("@testing-library/react");
const real_cancellable_promise_1 = require("real-cancellable-promise");
const ValidatedInput_1 = require("./ValidatedInput");
it('does not update the component asynchoronously when there is no asyncValidator', async () => {
    const consoleErrorMock = jest.fn();
    console.error = consoleErrorMock;
    (0, react_2.render)(react_1.default.createElement(ValidatedInput_1.ValidatedInput, { name: "test", value: "", onChange: jest.fn(), validators: [], showValidation: false }));
    // purposefully not using waitForReactUpdates which uses `act`
    const delay = real_cancellable_promise_1.CancellablePromise.delay(2000);
    jest.runAllTimers();
    await delay;
    // ensure no "component updated outside of an act() call" error
    expect(consoleErrorMock).not.toHaveBeenCalled();
});
