"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioButton = void 0;
const react_1 = __importDefault(require("react"));
/** @internal */
function RadioButton(props) {
    const { name, value, enabled, radioOption, onChange, inline } = props;
    const id = `${name}-${radioOption.value}`;
    const classes = ['form-check', radioOption.value.toString()];
    if (inline)
        classes.push('form-check-inline');
    return (react_1.default.createElement("div", { className: classes.join(' '), key: radioOption.value },
        react_1.default.createElement("input", { type: "radio", className: "form-check-input", name: name, id: id, value: radioOption.value, checked: radioOption.value === value, onChange: () => onChange(radioOption.value), disabled: !enabled }),
        react_1.default.createElement("label", { className: "form-check-label user-select-none", htmlFor: id }, radioOption.label)));
}
exports.RadioButton = RadioButton;
